Subject: Re: [bug#31952] [PATCH] gnu: git: Update to 2.18.0.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 23 Jun 2018 23:59:20 +0200

Hi Marius!

Marius Bakke <[email-masked]> skribis:

> * gnu/packages/version-control.scm (git): Update to 2.18.0.
> [native-inputs]: Add BASH.
> [arguments]: In #:make-flags, define SHELL_PATH and TEST_SHELL_PATH.
> Add #:disallowed-references.  Drop /bin/sh substitution from Makefile.  Add
> phase to prevent BASH from ending up in PATH.  Delete 'patch-shebangs' phase.

[...]

> +        ;; FIXME: This phase picks up the wrong bash when patching shebangs.
> +        (delete 'patch-shebangs)

Do the installed scripts still have the right shebang in spite of this?

Removing this phase altogether sounds a bit risky.  Another option would
have been to replace it with one that moves the “right” Bash to the
front of PATH and then calls the original ‘patch-shebangs’ phase.

WDYT?

Apart from that it LGTM.

Thank you!

Ludo’.